Page MenuHomeFreeBSD

Improvements for www/subsonic-standalone (Bug 210608)
ClosedPublic

Authored by jlh on Jul 25 2016, 9:47 AM.

Details

Reviewers
crees
Group Reviewers
Ports Committers
Commits
rP420615: Minor improvements.
Summary

Josh Ruehlig proposed the following patch:
https://bugs.freebsd.org/bugzilla/attachment.cgi?id=172811&action=diff

I'm no ports committer, so I need review and then approval.
Thanks!

  • Jeremie

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jlh updated this revision to Diff 18728.Jul 25 2016, 9:47 AM
jlh retitled this revision from to Improvements for www/subsonic-standalone (Bug 210608).
jlh updated this object.
jlh edited the test plan for this revision. (Show Details)
jlh added a reviewer: Ports Committers.
jlh set the repository for this revision to rP FreeBSD ports repository.
jlh added a project: Ports Committers.
bdrewery added inline comments.
subsonic-standalone/Makefile
77–79 ↗(On Diff #18728)

This can now be in a post-install-FFMPEG-on: target rather than having an .if check. Same for the lower checks as well.

@bdrewery, so lines 77-85 should be replaced with the following. Anything else that needs to be done to get this committed?

post-install-FFMPEG-on:
	${LN} -sf ${PREFIX}/bin/ffmpeg ${STAGEDIR}${SUBSONIC_HOME}/transcode/ffmpeg

post-install-FLAC-on:
	${LN} -sf ${PREFIX}/bin/flac ${STAGEDIR}${SUBSONIC_HOME}/transcode/flac

post-install-LAME-on:
	${LN} -sf ${PREFIX}/bin/lame ${STAGEDIR}${SUBSONIC_HOME}/transcode/lame
crees accepted this revision.Aug 11 2016, 8:04 PM
crees added a reviewer: crees.
crees added a subscriber: crees.

Please see my inline comments, but if mine and Bryan's are followed, please consider it approved by me.

Cheers!

subsonic-standalone/Makefile
9 ↗(On Diff #18728)

I think this change is wrong, and it should indeed be called subsonic-standalone PORTNAME, and the DISTNAME put back to how it was.

The whole point of PKGNAMESUFFIX is to have a FreeBSD suffix without messing up DISTNAME!

subsonic-standalone/pkg-plist
7 ↗(On Diff #18728)

This needs

|| true

adding to the end of the line, otherwise pkg will think it's an error if the directory doesn't exist. There should have been one on the previous revision!

This revision is now accepted and ready to land.Aug 11 2016, 8:04 PM
crees added a comment.Aug 11 2016, 8:10 PM

Sorry, I see why your PKGNAMESUFFIX change was made. I don't have strong feelings on it, so I'll leave it up to you :)

subsonic-standalone/Makefile
9 ↗(On Diff #18728)

Ah, I see why you've done that, as DISTNAME is weird... I still prefer the previous version.

jlh updated this revision to Diff 19366.Aug 16 2016, 8:34 PM
jlh edited edge metadata.
jlh marked 4 inline comments as done.

Requests fulfilled.

This revision now requires review to proceed.Aug 16 2016, 8:34 PM
crees accepted this revision.Aug 16 2016, 9:28 PM
crees edited edge metadata.

Great, please go ahead.

This revision is now accepted and ready to land.Aug 16 2016, 9:28 PM
This revision was automatically updated to reflect the committed changes.